Name: sndconfig
Version: 0.69
Release: alt1

Summary: The Red Hat Linux sound configuration tool
License: GPL
Group: System/Configuration/Hardware
ExcludeArch: ppc

Source: %name-%version.tar.bz2
Source1: %name-ru.po.bz2
Patch0: sndconfig-0.64.9-mdkconf.patch
Patch1: sndconfig-0.64.9-use-modprobe.patch
Patch2: sndconfig-0.65.2-opt.patch
Patch3: sndconfig-0.65.2-alsa.patch

%ifarch %ix86
Requires: isapnptools >= 1.16, sox, playmidi, kernel >= 2.2.0
%endif
Requires: awesfx

Prefix: %prefix

# Automatically added by buildreq on Mon Oct 28 2002
BuildRequires: kudzu-devel-static libnewt-devel-static libslang-devel-static pciutils-devel-static sharutils

%description
Sndconfig is a text based tool which sets up the configuration files you'll
need to use a sound card. Sndconfig can be used to set the proper sound type
for programs which use the /dev/dsp, /dev/audio and /dev/mixer devices. The
sound settings are saved by the aumix and sysV runlevel scripts.

Please use preferably program DrakConf to configure your sound-card. However
some configurations will fail with DrakConf, and you can try %name in that
case.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

bzcat %SOURCE1>po/ru.po

%build
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man8
mkdir -p $RPM_BUILD_ROOT%_datadir/locale
%makeinstall
ln -s /usr/sbin/sndconfig $RPM_BUILD_ROOT%_sbindir/soundconfig

%find_lang %name

%files -f %name.lang
%_sbindir/*
%_mandir/man?/*
%_datadir/%name

%changelog
* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.69-alt1
- Rebuilt in new environment
- 0.69

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.66-alt1
- 0.66
- Fixed alsa patch

* Fri Jan 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.65.2-alt2
- Fixed mdkconf patch
- Fixed configuring of alsa drived sound cards
- Fixed buildrequires

* Fri Nov 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.65.2-alt1
- 0.65.2

* Tue Mar 20 2001 Stanislav Ievlev <inger@linux.ru.net> 0.57-ipl5mdk
- Fix gu11-rom.sf2 loading (from GU11-ROM.SF2)

* Fri Mar 16 2001 Konstantin Volckov <goldhead@linux.ru.net > 0.57-ipl4mdk
- Some other small fixes

* Fri Mar 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.57-ipl3mdk
- RE adaptions.

* Sun Mar 11 2001 Pixel <pixel@mandrakesoft.com> 0.57-3mdk
- patch for finding gzip'ed modules

* Mon Feb 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.57-2mdk
- put a requires on pciutils-devel (maddog@linuxhall.org).
- remove the slang requirement as it is already implied by
  newt-devel (maddog@linuxhall.org).

* Sun Nov 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.57-1mdk
- shiny new version from the people at RedHat.
- remove my patch for kernel 2.4. Shout if things are broke.

* Tue Sep 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.55-3mdk
- rebuild with macros (alexsck!!)
- fix probing with kernel 2.4.

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.55-2mdk
- Use find_lang

* Wed Sep 06 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.55-1mdk
- 0.55
- Removed makefile patch(obsolete now).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.44-12mdk
- automatically added BuildRequires

* Sat Jul 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-11mdk
- fix patch with non-x86 (again).

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-10mdk
- fix patch with non-x86 (alex suck).

* Fri Jul  28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.44-9mdk
- Fixed patch typo.
- Fixed sources files permission.

* Wed Jul  26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.44-8mdk
-Updated %files section.
-Patched to handle a manprefix variable in Makefile.

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> sndconfig-0.44-7mdk
- ExcludeArch: ppc.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-6mdk
- Don't include alpha since the require awesfx is x86 only.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-5mdk
- Use %ix86.
- Fix filelist (thanks stefan).

* Wed May 17 2000 Pixel <pixel@mandrakesoft.com> 0.44-4mdk
- fix % files for alpha

* Tue May 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-3mdk
- include Geoffrey's patch, minor modifications

* Fri May 12 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- very minor spec helper fix
- _tmppath
- this does not require kudzu ...
- bz2 src

* Sun May 7 2000 Warly <warly@mandrakesoft.com> 0.44-1mdk
- change group

* Sun May 7 2000 Cristian Gafton <gafton@redhat.com>
- rebuild for release

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- sound-slot-0 fixes

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- fix alias

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- fix VIA chips

* Thu Sep 30 1999 Bill Nottingham <notting@redhat.com>
- add a '--quiet' autoconfiguration option

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add a warning about running under X

* Sat Sep 18 1999 Bill Nottingham <notting@redhat.com>
- add newtSuspend/newtResume around initial pnpdump

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- add support for ESS Maestro & Neomagic MagicMedia 256AV
- only support cards for which there are modules

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- add support for CMI8x38, VIA 82Cxxx, ESS Solo1

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- kudzu-ify

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- club AWE32 cards over the head. Bleah.

* Tue Aug 10 1999 Bill Nottingham <notting@redhat.com>
- oops, debugging code slipped in

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- fix for sgalaxy

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- add "support" for a lot more PCI cards

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Fri Apr  9 1999 Bill Nottingham <notting@redhat.com>
- allow both 0x530 & 0x534 as IO port choices for WSS based things

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- add a double-extra sanity check for pci cards

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- add a kludge for Vibra16X

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- switch CMI8330 to use ad1848 driver
- rework Multisound Pinnacle support

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- midi testing support

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- add ALS100, add PnP support for it

* Thu Jan 28 1999 Bill Nottingham <notting@redhat.com>
- make everything use two dma= parameters

* Mon Jan 24 1999 Bill Nottingham <notting@redhat.com>
- card lists weren't in sync
- fix pci probing bug

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- build against gpm (new newt)

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- more PnP fixes (Opti PnP, CMI8330)
- require newer isapnptools so we don't run into LD bug.

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- large pile of PnP fixes (Opti, SGalaxy, SSVIVO, ESS1868, others....)
- bump version to 0.29

* Thu Dec  3 1998 Bill Nottingham <notting@redhat.com>
- fix for SoundScape VIVO...

* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- awesfx goes in /bin

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- added hack to make it less likely to lock up alphas

* Fri Oct 30 1998 Bill Nottingham <notting@redhat.com>
- stupid programmer error, part deux

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- now for alpha
- organize by bus, not platform

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- fixes to lists of resources
- add more translations
- don't set auto-unload

* Thu Oct  8 1998 Bill Nottingham <notting@redhat.com>
- oops, forgot a newtResume()
- make /etc/conf.modules mode 0644, not 0600
- merge SBPCI entries with ES1370, since we can't tell them apart anyways

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- added scrollbar to card list
- updated to 0.26

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fixes for AudioTrix Pro, add OPL3-SA2/3/x
- assorted random bugfixes
- add Turkish translations (from H. Turgut Uyar <uyar@cs.itu.edu.tr>)
- add Romanian translations

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- add a few more cards
- disable Wavefront support for now

* Thu Sep 24 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- i18n patches

* Wed Sep 23 1998 Bill Nottingham <notting@redhat.com>
- fix PCI-probing bug

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- when merging isapnp.conf changes, use current preamble

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- check that they actually have modular sound

* Fri Sep 11 1998 Bill Nottingham <notting@redhat.com>
- PCI probing!

* Tue Sep  8 1998 Bill Nottingham <notting@redhat.com>
- SPARC support.

* Wed Aug 26 1998 Bill Nottingham <notting@redhat.com>
- YABF

* Tue Aug 25 1998 Bill Nottingham <notting@redhat.com>
- fixed bad logic w/midi assignment

* Fri Aug 21 1998 Bill Nottingham <notting@redhat.com>
- fixed message segfault

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- changed bug reporting address

* Wed Aug 19 1998 Bill Nottingham <notting@redhat.com>
- introduce support for non SB sound cards

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built aginst newt 0.30

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed problem with overwriting the conf.modules file

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed problem w/ free()ing bad pointers

* Fri Dec 19 1997 Erik Troan <ewt@redhat.com>
- general Makefile cleanups

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- fixed bug in reading current settings from conf.modules

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>
- fixed behavior to work with rhsound service
- added support for midi in conf.modules, isapnp.conf
- reduced duplicate info stored in /etc/sysconfig/sound

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>
- removed README's from tarball and coverted to buildroot

* Thu Oct 24 1997 Michael Fulbright <msf@redhat.com>
- added some docs on the sound modules

* Tue Oct 22 1997 Michael Fulbright <msf@redhat.com>
- changed sound sample to linux d00d instead of gorby d00d

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed creation of temporary files to be more secure.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- added man page

* Fri Oct  3 1997 Michael Fulbright <msf@redhat.com>
- first version

